# 环境配置及开发工具说明

开发工具说明

## 小程序

### 微信小程序

- [微信开发者工具](https://developers.weixin.qq.com/miniprogram/dev/devtools/download.html)

- [开放文档](https://developers.weixin.qq.com/miniprogram/dev/framework/)

### 支付宝小程序

- [小程序开发者工具](https://opendocs.alipay.com/mini/ide/download)

- [开放文档](https://opendocs.alipay.com/mini/developer?pathHash=d3c1799e)

## 公众号

- 公众号开发使用微信开发者工具打开即可（需要微信后台配置开发者权限）

## 后台管理项目

- 需要配置正确的 nodejs 版本

---

环境配置说明

- nodejs

由于前端项目数量较多，且都在不同时段进行开发，所以对于 nodejs 版本和项目依赖都有所不同，可能需要切换不同的 nodejs 版本进行依赖安装。推荐选择以下工具进行 nodejs 版本的管理

- [nvm](https://juejin.cn/post/7034518395643133983)

  - 缺点：只能针对全局 nodejs 版本进行切换

- fnm

  - 优点：可以针对单个项目的 nodejs 版本进行切换

  - [fnm 英文文档](https://github.com/Schniz/fnm)

  - [fnm 中文文档](https://juejin.cn/post/7107453707192631309)

需要注意的是，在项目开发中，切换 nodejs 版本后，还需要删除项目目录下的 `node_modules`， `package-lock.json`，`yarn.lock` 文件，再重新安装依赖。
