# 物资管理小程序

> 物资管理微信小程序应用 —— 主要使用微信小程序原生框架进行开发<br/>
> 具体请看[微信开放文档](https://developers.weixin.qq.com/miniprogram/dev/framework/quickstart/)

## 项目 Git

#### [Gogs Git address](https://gogs.ywtinfo.com/guochengfeng/material-mini-program/src/v1.0.2_nfby)

#### 生产环境分支：publish

#### 开发环境分支：视需求版本而定

## 项目启动

1.微信小程序项目管理后台添加开发者权限

2.在微信小程序开发者工具中导入项目

3.同步 npm 依赖完成后即可自动开始编译

## 文件目录

```javascript
.
├── api // 接口集合
├── app.js // 小程序入口
├── app.json  // 路由配置
├── app.wxss // 全局样式
├── components // 公共组件库
│   ├── cart-List // 购物车组件
│   ├── dialog  // 弹窗组件
│   ├── my-basket // 我的篮子组件
│   └── navigationBar // 导航栏
├── config
│   └── app.js  //
├── dist // 打包产物
├── goods_pages // 搜索页面
│   └── pages
│   └── search_page
├── image // 图片资源
├── libs
│   ├── login.js // 登录苦
│   └── vod-wx-sdk-v2.js // wx sdk
├── miniprogram_npm // 小程序依赖
├── node_modules  // 项目依赖
├── package-lock.json
├── package.json // 项目依赖文档
├── pages
│   ├── classify // 物资分类
│   ├── index // 首页
│   ├── login // 登录
│   ├── order //订单
│   ├── receive // 物资请领订单
│   ├── rich_text_pulice // 服务协议
│   ├── sign // 签名
│   └── user // 用户
├── project.config.json // 小程序配置
├── project.private.config.json // 小程序配置
├── sitemap.json
├── static // 静态资源
├── utils // 工具函数
└── yarn.lock
```

## 技术/业务要点

## 备注

- 患者端比较多业务使用支付功能，容易出现错误，请与后端开发一起联调；
