# 管理后台

## 项目 Git

#### [Gogs Git address](https://gogs.ywtinfo.com/ywt/mg_background_fe)

#### 生产环境分支：publish

#### QA 环境分支：test

#### 开发环境分支：视需求版本而定

## 项目 Command

### 依赖安装：npm install

### 打包命令: npm run build

### 运行命令: npm start

## 注意事项

### 配置页面路径: config/router.config.js 注意：第二层的 path 一定要包含第一层的 path

### 页面路径: src/pages

### dva 页面方法配置路径: src/models

### 常用的 api 封装路径: src/services

### 发布备注

```
    在发布的时候，需要将 src/pages/document.ejs 文件里面script 引用项目的相对路径进行更改，在路径前面新增/m-sysconfig，
    比如：
    <script type="text/javascript" src="/lib/crypto1/crypto/crypto.js"></script>
    更改为：
    <script type="text/javascript" src="/m-sysconfig/lib/crypto1/crypto/crypto.js"></script>
    这样的话，在项目发布的时候，不需要再处理js文件（这个和服务器引用的相对路径有关），但在本地进行测试的时候，需要将路径更改回来，不然本地没法测试
```

### 分支管理

- master 正式分支
- publish 每次项目上线时候的分支，如果上线之后一段时间没问题之后，再合并到 master 分支
- test 测试分支
- nutrimeal_v2.1.0 对应互联网医院 v2.1.0（营养餐优化）
- m_corp_v4 迁移第四期，内容包括：账号模块（医生余额列表、提现）、医学头条（头条点赞数、头条审核）
- m_corp_v3 迁移第三期：内容包括:订单模块
- m_corp_v2 迁移第二期：内容包括：
